//
//  GLCity.h
//  GLAtlasKit
//
//  Created by Jeffrey Early on 1/27/08.
//  Copyright 2008 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometryKit.h>

@class GLCounty, GLState, GLCountry;
@interface GLCity : NSManagedObject <GLSpatialObject> {
	id objectOwner;
	GLGeometry *geometry;
	GLStyle *style;
}

@property (readonly) NSNumber * geonameID;
@property (readonly) NSString * name;
@property (readonly) NSNumber * population;

@property (readonly) GLCountry * country;
@property (readonly) GLState * state;
@property (readonly) GLCounty * county;

/************************************************/
/*		GLSpatialObject Protocol				*/
/************************************************/

#pragma mark -
#pragma mark GLSpatialObject Protocol
#pragma mark

@property(assign) id objectOwner;
@property(readonly) GLGeometry *geometry;
@property(assign) GLStyle *style;
@property(readonly) NSDictionary *propertiesByName;

@end
