//
//  GLState.h
//  GLAtlasKit
//
//  Created by Jeffrey Early on 1/27/08.
//  Copyright 2008 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometryKit.h>

@class GLCountry;
@interface GLState : NSManagedObject <GLSpatialObject> {
	id objectOwner;
	GLGeometry *geometry;
	GLStyle *style;
}

@property (readonly) NSString * hascCode;
@property (readonly) NSString * name;

@property (readonly) GLCountry * country;

@property (readonly) NSSet* counties;
@property (readonly) NSSet* cities;

/************************************************/
/*		GLSpatialObject Protocol				*/
/************************************************/

#pragma mark -
#pragma mark GLSpatialObject Protocol
#pragma mark

@property(assign) id objectOwner;
@property(readonly) GLGeometry *geometry;
@property(assign) GLStyle *style;
@property(readonly) NSDictionary *propertiesByName;

@end
