//
//  GLGPS.h
//  GarminGPSApp
//
//  Created by Jeffrey Early on 10/2/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GLUSBDevice;
@interface GLGPS : NSObject {
	// init
	BOOL			isInitializing;
	BOOL			isValid;
	id				controller;
	io_service_t	device;
	io_object_t		notification;
	
	// download status
	BOOL	downloadIsInProgress;
	UInt16	downloadProgressMax;
	UInt16	downloadProgressValue;
	
	// *** useful properties!
	NSString		*vendorName;
	NSString		*productName;
	NSString		*productDescription;
	NSString		*softwareVersion;
	
    NSManagedObjectContext *managedObjectContext;
}

/************************************************/
/*		Initialization							*/
/************************************************/

#pragma mark -
#pragma mark Initialization
#pragma mark

- (id) initWithDevice: (io_service_t) aDevice forController: (id) aController;
@property BOOL isInitializing;
@property BOOL isValid;
@property(readonly) id controller;
@property(readonly) io_service_t device;
@property io_object_t notification;

/************************************************/
/*		Download Progress						*/
/************************************************/

#pragma mark -
#pragma mark Download Progress
#pragma mark

@property BOOL downloadIsInProgress;
@property UInt16 downloadProgressMax;
@property UInt16 downloadProgressValue;


/************************************************/
/*		Product Information						*/
/************************************************/

#pragma mark -
#pragma mark Product Information
#pragma mark

@property(copy) NSString *vendorName;
@property(copy) NSString *productName;
@property(copy) NSString *productDescription;
@property(copy) NSString *softwareVersion;

/************************************************/
/*		CoreData								*/
/************************************************/

#pragma mark -
#pragma mark CoreData
#pragma mark

@property(assign) NSManagedObjectContext *managedObjectContext;

@end
