//
//  GLGPSDeviceSelectionController.h
//  GLGPSKit
//
//  Created by Jeffrey Early on 7/15/08.
//  Copyright 2008 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GLGPS, GLGPSManager;
@interface GLGPSDeviceSelectionController : NSWindowController {
	GLGPSManager *gpsManager;
	GLGPS *selectedGPSDevice;
	IBOutlet NSTextField *selectionMessage;
}

// Returns nil if no GPS device is available (or the user hits cancel). If only one device is 
// available, it is returned. If more than one device is available, it presents a dialog as a 
// with 'selectionText' above the popup. The dialog runs application modally.
- (GLGPS *) gpsDeviceSelectedModallyWithText: (NSString *) selectionText;

/************************************************/
/*		IBActions								*/
/************************************************/

#pragma mark -
#pragma mark IBActions
#pragma mark

- (IBAction) gpsDeviceSelectedOkay: (id) sender;
- (IBAction) gpsDeviceSelectedCancel: (id) sender;

/************************************************/
/*		Bindings								*/
/************************************************/

#pragma mark -
#pragma mark Bindings
#pragma mark

@property(readonly) GLGPSManager *gpsManager;
@property(assign) GLGPS *selectedGPSDevice;

@end
