//
//  GLGPSManager.h
//  GLGPSKit
//
//  Created by Jeffrey Early on 7/15/08.
//  Copyright 2008 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <IOKit/IOKitLib.h>
#import <IOKit/usb/IOUSBLib.h>

@interface GLGPSManager : NSObject {
	IONotificationPortRef		notificationPort;
	io_iterator_t				notificationIterator;
	
	NSMutableArray				*gpsDevices;
	NSMutableArray				*gpsDevicesUninitialized;
	BOOL						gpsDeviceAvailable;
}

/************************************************/
/*		Intialization							*/
/************************************************/

#pragma mark -
#pragma mark Intialization
#pragma mark

+ (GLGPSManager *) sharedGPSManager;

/************************************************/
/*		Available GPS Devices					*/
/************************************************/

#pragma mark -
#pragma mark Available GPS Devices
#pragma mark

// Determine the state of connected GPS devices. Each GPS Device responds to 'productName'
// for a user readable name.
@property(assign) NSMutableArray *gpsDevices;

// This essentially tells you nothing more than whether or not the gpsDevices array is empty.
@property BOOL gpsDeviceAvailable;

@end
