//
//  GLGeoPoint.h
//  Trips
//
//  Created by Jeffrey Early on 9/30/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometryKit.h>

@class GLGeoPointSymbol;
@interface GLGeoPoint : NSManagedObject {

}

@property(copy) NSNumber * cadence;
@property(copy) NSDate * date;
@property(copy) NSDecimalNumber * depth;
@property(copy) NSDecimalNumber * elevation;
@property(copy) NSString * gpsComment;
@property(retain) NSNumber * heartRate;
@property(copy) NSDecimalNumber * latitude;
@property(readonly) NSCalendarDate * localDate;
@property(copy) NSDecimalNumber * longitude;
@property(copy) NSString * name;
@property(copy) NSString * notes;
@property(copy) NSString * sourceOfData;
@property(copy) NSDecimalNumber * temperature;
@property(copy) NSDecimalNumber * wheelSensorDistance;
@property(copy) NSNumber * wheelSensorIsPresent;

@property(copy) NSDecimalNumber * ageOfGPSData;
@property(copy) NSNumber * dgpsStationID;
@property(copy) NSDecimalNumber * horizontalDilutionOfPrecision;
@property(copy) NSDecimalNumber * verticalDilutionOfPrecision;
@property(copy) NSDecimalNumber * positionDilutionOfPrecision;
@property(copy) NSNumber * numberOfSatellites;
@property(copy) NSString * fixType;
@property(copy) NSDecimalNumber * geoidHeight;
@property(copy) NSDecimalNumber * magneticVariation;
@property(copy) NSString * link;

@property(copy) NSString * symbolName;

@property(retain) GLGeoPointSymbol * symbol;
@property(retain) NSManagedObject *timeZone;


@property GLPoint point;

@end