//
//  GLImportSource.h
//  GLGPSKit
//
//  Created by Jeffrey Early on 7/28/08.
//  Copyright 2008 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum {
	kGLFileImportSourceType = 1,
    kGLGPSImportSourceType = 2
} GLImportSourceType;

@class GLEvent, GLTrack, GLWaypoint;
@interface GLImportSource : NSManagedObject {

}

@property(copy) NSString * filePath;
@property(copy) NSDate * importDate;
@property GLImportSourceType sourceType;
@property(copy) NSString * name;

@property(retain) NSSet* events;
@property(retain) NSSet* routes;
@property(retain) NSSet* tracks;
@property(retain) NSSet* waypoints;

@end


// coalesce these into one @interface GLImportSource (CoreDataGeneratedAccessors) section
@interface GLImportSource (CoreDataGeneratedAccessors)
- (void)addEventsObject:(GLEvent *)value;
- (void)removeEventsObject:(GLEvent *)value;
- (void)addEvents:(NSSet *)value;
- (void)removeEvents:(NSSet *)value;

- (void)addRoutesObject:(NSManagedObject *)value;
- (void)removeRoutesObject:(NSManagedObject *)value;
- (void)addRoutes:(NSSet *)value;
- (void)removeRoutes:(NSSet *)value;

- (void)addTracksObject:(GLTrack *)value;
- (void)removeTracksObject:(GLTrack *)value;
- (void)addTracks:(NSSet *)value;
- (void)removeTracks:(NSSet *)value;

- (void)addWaypointsObject:(GLWaypoint *)value;
- (void)removeWaypointsObject:(GLWaypoint *)value;
- (void)addWaypoints:(NSSet *)value;
- (void)removeWaypoints:(NSSet *)value;

@end