/*
 *  GLTrackImportProtocol.h
 *  Trips
 *
 *  Created by Jeffrey Early on 10/6/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

@protocol GLTrackImportProtocol

/************************************************/
/*		Context									*/
/************************************************/

@property(assign) NSManagedObjectContext *managedObjectContext;

/************************************************/
/*		Starting/Stopping						*/
/************************************************/

- (void) beginTrackImport;
- (void) abortTrackImport;

/************************************************/
/*		Progress								*/
/************************************************/

- (BOOL) trackImportIsInProgress;
- (BOOL) trackImportIsIndeterminateProgress;
- (NSUInteger) trackImportProgressMin;
- (NSUInteger) trackImportProgressMax;
- (NSUInteger) trackImportProgressValue;
- (NSString *) trackImportProgressInfo;

/************************************************/
/*		Finish									*/
/************************************************/

// Indicates whether the complete object graph was created, ie, a successful import.
- (BOOL) trackImportDidFinish;

// This must contain *at least one* GLImportSource object, file importers may return
// multiple objects. The GLImportSource objects are root objects to the complete graphs.
- (NSArray *) importSources;

// These contain the union of all events, routes, tracks and waypoints from the above
// import sources.
- (NSSet *) events;
- (NSSet *) routes;
- (NSSet *) tracks;
- (NSSet *) waypoints;

@end