//
//  GLTrackSegment.h
//  Trips
//
//  Created by Jeffrey Early on 9/30/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometryKit.h>

@class GLTrack, GLTrackPoint;
@interface GLTrackSegment : NSManagedObject <GLSpatialObject> {
	id objectOwner;
	GLGeometry *geometry;
	GLStyle *style;
	NSArray *pointCacheArray;
}

/************************************************/
/*		Basic Attributes						*/
/************************************************/

#pragma mark -
#pragma mark Basic Attributes
#pragma mark

@property(copy) NSNumber * order;
@property(retain) GLTrack * track;

/************************************************/
/*		Date & Time Attributes					*/
/************************************************/

#pragma mark -
#pragma mark Date & Time Attributes
#pragma mark

- (NSCalendarDate *) localStartDate;
- (NSCalendarDate *) localEndDate;

- (NSDate *) startDate;
- (NSDate *) endDate;

/************************************************/
/*		GLTrack Points							*/
/************************************************/

#pragma mark -
#pragma mark GLTrack Points
#pragma mark

@property(assign) NSArray *points;
@property(readonly) unsigned int countOfPoints;
- (GLTrackPoint *) objectInPointsAtIndex: (unsigned int) index;
- (void) insertObject: (GLTrackPoint *) point inPointsAtIndex: (unsigned int) index;
- (void) removeObjectFromPointsAtIndex: (unsigned int) index;
- (void) addPoint: (GLTrackPoint *) point;
- (void) removePoint: (GLTrackPoint *) point;



@property(readonly) double distance;

@property(readonly) NSDecimalNumber * minLatitude;
@property(readonly) NSDecimalNumber * maxLatitude;
@property(readonly) NSDecimalNumber * minLongitude;
@property(readonly) NSDecimalNumber * maxLongitude;

@property(readonly) GLRect bounds;


/************************************************/
/*		GLSpatialObject Protocol				*/
/************************************************/

#pragma mark -
#pragma mark GLSpatialObject Protocol
#pragma mark

@property(assign) id objectOwner;
@property(readonly) GLGeometry *geometry;
@property(assign) GLStyle *style;

@end
