//
//  GLFileReaderSpatialObject.h
//  GLGeometry
//
//  Created by Jeffrey Early on 10/8/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLSpatialObject.h>

@interface GLFileReaderSpatialObject : NSObject <GLSpatialObject> {
	NSMutableDictionary *embeddedDictionary;
}

// returns the GLSpatialObjectController that owns the objects, so the plugin can be informed of changes
- (id) objectOwner;

// returns the name of the feature, will be displayed to the user
- (NSString *) featureName;

// returns a more detailed description of the feature, will be displayed to the user
- (NSString *) featureDescription;

// returns the kind of feature, will be displayed to the user
- (NSString *) kind;

// returns a geometry object, used for displaying
- (GLGeometry *) geometry;

// describes how the geometry should be drawn, including the label
- (GLStyle *) style;

// return a dictionary containing the keys (column heading) and values.
// These values are also likely to be directly implement as methods in the
// object, "- (id) value". This will be used for exporting data.
- (NSArray *) keyPaths;

// return an NSEntityDescription for this object. This is used to determine this object's
// key paths as well as the corresponding return types.
- (NSDictionary *) propertiesByName;

@end
