/*
 *  GLGeometryKit.h
 *  GLGeometry
 *
 *  Created by Jeffrey Early on 7/1/06.
 *  Copyright 2006, Early Innovation. All rights reserved.
 *
 */

// Basic object type that has a geometry and set of attributes
#import <GLGeometryKit/GLSpatialObject.h>

// Geometry object types
#import <GLGeometryKit/GLGeometryTypes.h>
#import <GLGeometryKit/GLGeometry.h>
#import <GLGeometryKit/GLPointGeometry.h>
#import <GLGeometryKit/GLMultiPointGeometry.h>
#import <GLGeometryKit/GLLineStringGeometry.h>
#import <GLGeometryKit/GLPolygonGeometry.h>
#import <GLGeometryKit/GLMultiPolygonGeometry.h>

// Geometry styling classes
#import <GLGeometryKit/GLStyle.h>
#import <GLGeometryKit/GLRule.h>
#import <GLGeometryKit/GLSymbolizer.h>
#import <GLGeometryKit/GLLineSymbolizer.h>
#import <GLGeometryKit/GLPolygonSymbolizer.h>
#import <GLGeometryKit/GLPointSymbolizer.h>
#import <GLGeometryKit/GLTextSymbolizer.h>

// View for geometry styling
#import <GLGeometryKit/GLStyleEditor.h>

// Drop in double precision replacement for Apple's single precision Cocoa libraries
// With one additional torus partitioning function
#import <GLGeometryKit/GLGeometryAdditions.h>
#import <GLGeometryKit/GLAffineTransform.h>
#import <GLGeometryKit/NSAffineTransformAdditions.h>

// OGR Based utilities
#import <GLGeometryKit/GLCoordinateTransformation.h>
#import <GLGeometryKit/GLGeometryFileReader.h>
#import <GLGeometryKit/GLFileReaderSpatialObject.h>
#import <GLGeometryKit/GLGeometryUtilities.h>

// Useful NSBezierPath extensions
#import <GLGeometryKit/GLBezierPathGeometryExtensions.h>
#import <GLGeometryKit/NSBezierPathAdditions.h>

// Spatial Index support
#import <GLGeometryKit/GLTreeNode.h>

// Clipping and transforming geometries quickly, for MapView.
#import <GLGeometryKit/GLClippingRegion.h>
#import <GLGeometryKit/GLDrawContext.h>
#import <GLGeometryKit/GLMapProjection.h>