//
//  GLPolygonSymbolizer.h
//  GLMapKit
//
//  Created by Jeffrey Early on 12/31/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLSymbolizer.h>
#import <GLGeometryKit/GLDrawContext.h>

@interface GLPolygonSymbolizer : GLSymbolizer <NSCopying, NSCoding> {
	float * __strong lineDash;
	BOOL shouldStroke;
	BOOL shouldFill;
	NSColor *strokeColor;
	NSColor *fillColor;
	float strokeOpacity;
	float fillOpacity;
	float strokeWidth;
	NSLineJoinStyle	lineJoin;
	NSLineCapStyle lineCap;
	float lineDashOffset;
	unsigned int lineDashCount;
	BOOL isDashed;
}

@property BOOL shouldStroke, shouldFill;
@property(copy) NSColor *strokeColor, *fillColor;
@property float strokeOpacity, fillOpacity;
@property float strokeWidth;
@property NSLineJoinStyle	lineJoin;
@property NSLineCapStyle lineCap;
@property float lineDashOffset;
@property unsigned int lineDashCount;
@property BOOL isDashed;

- (float *) lineDash;
- (void) setLineDash: (float *) anArray withCount: (unsigned int) count;
- (BOOL) isEqualToPolygonSymbolizer: (GLPolygonSymbolizer *) aPolygonSymbolizer;

/************************************************/
/*		Spatial Object Draw Additions			*/
/************************************************/

#pragma mark -
#pragma mark Spatial Object Draw Additions
#pragma mark

- (void) drawSpatialObject: (GLSpatialObject *) spatialObject inContext: (NSObject <GLDrawContext> *) drawContext;

- (void) symbolizeInContext: (CGContextRef) context withScaleFactor: (double) scale;

@end
