//
//  GLRule.h
//  GLMapKit
//
//  Created by Jeffrey Early on 12/30/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GLSymbolizer;
@interface GLRule : NSObject <NSCoding, NSCopying> {
	NSString *name;
	NSString *title;
	NSString *abstract;
	BOOL hasMinScaleDenominator;
	BOOL hasMaxScaleDenominator;
	BOOL shouldFilter;
	BOOL elseFilter;
	double minScaleDenominator;
	double maxScaleDenominator;
	NSPredicate *filter;
	NSMutableArray *symbolizers;
}

@property(copy) NSString *name, *title, *abstract;
@property BOOL hasMinScaleDenominator, hasMaxScaleDenominator, shouldFilter, elseFilter;
@property double minScaleDenominator, maxScaleDenominator;
@property(copy) NSPredicate *filter;
@property(assign) NSMutableArray *symbolizers;

// Tests for complete equality, all properties and all symbolizers are equal
- (BOOL) isEqualToRule: (GLRule *) aRule;

// Only requires that the two rules share the same symbolizers in the same order
- (BOOL) isStructurallyEqualToRule: (GLRule *) aRule;

- (BOOL) addSymbolizer: (GLSymbolizer *) symbolizer;
- (BOOL) removeSymbolizer: (GLSymbolizer *) symbolizer;
- (BOOL) addSymbolizer: (GLSymbolizer *) symbolizer atIndex: (NSUInteger) index;
- (BOOL) moveSymbolizerFromIndex: (NSUInteger) oldIndex toIndex: (NSUInteger) newIndex;

@end
