//
//  GLSymbolizer.h
//  GLMapKit
//
//  Created by Jeffrey Early on 1/1/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLDrawContext.h>

extern NSString *GLDrawPropertyKey;

typedef enum {
	kGLPointSymbolizerType,
    kGLLineSymbolizerType,
    kGLPolygonSymbolizerType,
    kGLTextSymbolizerType

} GLSymbolizerType;

@class GLSpatialObject;
@interface GLSymbolizer : NSObject <NSCopying> {

}

+ (NSArray *) drawPropertyKeyPaths;

@property(readonly) GLSymbolizerType symbolizerType;
- (BOOL) isEqualToSymbolizer: (GLSymbolizer *) aSymbolizer;

/************************************************/
/*		Spatial Object Draw Additions			*/
/************************************************/

#pragma mark -
#pragma mark Spatial Object Draw Additions
#pragma mark

// Sorts through its rules and symbolizes the spatial object in the context.
- (void) drawSpatialObject: (GLSpatialObject *) spatialObject inContext: (NSObject <GLDrawContext> *) drawContext;

@end
