//
//  GLTreeNode.h
//  GLGeometry
//
//  Created by Jeffrey Early on 11/1/07.
//  Copyright 2007 Early Innovation. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometryTypes.h>

/************************************************/
/*		GLTreeNode								*/
/************************************************/

#pragma mark -
#pragma mark GLTreeNode
#pragma mark

@interface GLTreeNode : NSObject <NSCopying> {
	GLRect bounds;
}

- (GLTreeNode *) initWithBounds: (GLRect) bounds;

@property GLRect bounds;
@property(readonly) BOOL isLeaf;

@end


/************************************************/
/*		GLTreeLeafNode							*/
/************************************************/

#pragma mark -
#pragma mark GLTreeLeafNode
#pragma mark

@interface GLTreeLeafNode : GLTreeNode <NSCopying> {
	id object;
}

- (GLTreeLeafNode *) initWithBounds: (GLRect) bounds object: (id) object;

@property(assign) id object;

@end

/************************************************/
/*		GLTreeInternalNode						*/
/************************************************/

#pragma mark -
#pragma mark GLTreeInternalNode
#pragma mark

@interface GLTreeInternalNode : GLTreeNode <NSCopying> {
	NSArray *nodes;
}

- (GLTreeInternalNode *) initWithTreeNodes: (NSArray *) nodes;

@property(assign) NSArray *nodes;

@end